# Interface ConeQueryRowSequence

All Superinterfaces:
  `AutoCloseable, Closeable, uk.ac.starlink.table.RowData, uk.ac.starlink.table.RowSequence, uk.ac.starlink.util.Sequence`

All Known Subinterfaces:
  `ConeResultRowSequence`

All Known Implementing Classes:
  `ColumnQueryRowSequence, ParallelResultRowSequence, SequentialResultRowSequence, WrapperQuerySequence`

public interface ConeQueryRowSequence extends uk.ac.starlink.table.RowSequence
RowSequence sub-interface which additionally defines methods for retrieving RA, Dec search radius and row index for each row.

Since:
  16 Oct 2007
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`double`
`getDec()`
Get central declination for the current row's cone search request in degrees.
`long`
`getIndex()`
Get the index in the underlying table to which the current row relates.
`double`
`getRa()`
Get central right ascension for the current row's cone search request in degrees.
`double`
`getRadius()`
Get search radius for the current row's cone search request in degrees.

### Methods inherited from interface uk.ac.starlink.table.RowSequence

`close, getCell, getRow, next`

## Method Details

### getRa

double getRa() throws IOException
Get central right ascension for the current row's cone search request in degrees.

Returns:
  right ascension
Throws:
  `IOException`

### getDec

double getDec() throws IOException
Get central declination for the current row's cone search request in degrees.

Returns:
  declination
Throws:
  `IOException`

### getRadius

double getRadius() throws IOException
Get search radius for the current row's cone search request in degrees.

Returns:
  search radius
Throws:
  `IOException`

### getIndex

long getIndex() throws IOException
Get the index in the underlying table to which the current row relates. The identity of this underlying table is not specified by this interface, but must be understood by the creator and user of instances. In particular, the return value does not necessarily increment by one for each call to `next`.

Returns:
  row index
Throws:
  `IOException`